
/***************************************************************************
**
**    $Header:   D:/PICSLDV/SRC/LOG/STKSELE.H__   1.14   09 Jan 1997 14:25:38   ZJRD  $
**
**    $Log:   D:/PICSLDV/SRC/LOG/STKSELE.H__  $
** 
**    Rev 1.14   09 Jan 1997 14:25:38   ZJRD
** No change.
** 
**    Rev 1.13   13 Dec 1996 11:20:30   ZJRD
** No change.
** 
**    Rev 1.12   22 Nov 1996 11:01:30   ZJRD
** No change.
** 
**    Rev 1.11   11 Nov 1996 12:48:44   ZJRD
** No change.
** 
**    Rev 1.10   06 Nov 1996 13:00:44   ZJRD
** No change.
** 
**    Rev 1.9   02 Nov 1996 09:46:12   ZJRD
** No change.
** 
**    Rev 1.8   30 Oct 1996 12:48:26   ZJRD
** No change.
** 
**    Rev 1.7   28 Oct 1996 09:41:22   ZJRD
** No change.
** 
**    Rev 1.6   21 Oct 1996 09:15:44   ZJRD
** No change.
** 
**    Rev 1.5   09 Oct 1996 13:45:18   ZJRD
** No change.
** 
**    Rev 1.4   23 Sep 1996 10:31:42   ZJRD
** No change.
** 
**    Rev 1.3   06 Sep 1996 13:45:26   ZJRD
** No change.
** 
**    Rev 1.2   02 Sep 1996 11:26:34   ZJRD
** No change.
** 
**    Rev 1.1   15 Aug 1996 10:05:08   ZJRD
** No change.
** 
**    Rev 1.0   13 Aug 1996 09:17:58   ZJRD
** Initial revision.
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
//
//  File name: STKSELE.H
//
//  Description: The header file for the class: CStackSelectLocalDialog.
//
//  Author: Chen Jun
//
//  Date: 08/22/95
//
//  CASTfication:
//      1. 08/22/95, Initial version of the class: CStackSelectLocalDialog.
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _STKSELE_
#define _STKSELE_


/////////////////////////////////////////////////////////////////////////////
// CStackSelectLocalDialog dialog

class CStackSelectLocalDialog : public CDialog
{
// Construction
public:
    CStackSelectLocalDialog(CWnd* pParent = NULL);  // standard constructor

// Dialog Data
    //{{AFX_DATA(CStackSelectLocalDialog)
    enum { IDD = IDD_DIALOG_VAR_SELECT_LOCAL_VARIABLES };
    CListBox    m_lstOnDisplay;
    CListBox    m_lstNotOnDisplay;
    CButton m_btnRemove;
    CButton m_btnAdd;
    //}}AFX_DATA

// Implementation
private:
    CPtrList* m_pStkAddLocalList;
    CPtrList* m_pStkRemoveLocalList;
    void AllocateSpace(void);
    void ReleaseSpace(void);
    void SetGlobalList(void);
    
    void RemoveAllLocal(void);
    void AddLocal(void);

protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

    // Generated message map functions
    //{{AFX_MSG(CStackSelectLocalDialog)
    virtual BOOL OnInitDialog();
    afx_msg void OnSetfocusNotondisplay();
    afx_msg void OnSetfocusOndisplay();
    virtual void OnOK();
    virtual void OnCancel();
    afx_msg void OnButtonAdd();
    afx_msg void OnButtonRemove();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

#endif
//////////////////////////////// End of File ////////////////////////////////
